com.isbc.smartcard.esmarttoken.utils

## Class HexUtils

- java.lang.Object
- - com.isbc.smartcard.esmarttoken.utils.HexUtils

-     public class HexUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HexUtils.DecoderException`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decodeHex(char[] data)` Converts an array of characters representing hexadecimal values into an array of bytes of those same values.
    `static byte[]` | `decodeHex(String string)` Converts a String or an array of character bytes representing hexadecimal values into an array of bytes of those same values.
    `static char[]` | `encodeHex(byte[] data)` Converts an array of bytes into an array of characters representing the hexadecimal values of each byte in order.
    `static char[]` | `encodeHex(byte[] data, boolean toLowerCase)` Converts an array of bytes into an array of characters representing the hexadecimal values of each byte in order.
    `protected static char[]` | `encodeHex(byte[] data, char[] toDigits)` Converts an array of bytes into an array of characters representing the hexadecimal values of each byte in order.
    `static String` | `encodeHexString(byte[] data)` Converts an array of bytes into a String representing the hexadecimal values of each byte in order.
    `protected static int` | `toDigit(char ch, int index)` Converts a hexadecimal character to an integer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### decodeHex

          public static byte[] decodeHex(char[] data)
                                  throws HexUtils.DecoderException

      Converts an array of characters representing hexadecimal values into an array of bytes of those same values. The returned array will be half the length of the passed array, as it takes two characters to represent any given byte. An exception is thrown if the passed char array has an odd number of elements.
      Parameters:
        `data` - An array of characters containing hexadecimal digits
      Returns:
        A byte array containing binary data decoded from the supplied char array.
      Throws:
        `HexUtils.DecoderException` - Thrown if an odd number or illegal of characters is supplied

    - #### decodeHex

          public static byte[] decodeHex(String string)
                                  throws HexUtils.DecoderException

      Converts a String or an array of character bytes representing hexadecimal values into an array of bytes of those same values. The returned array will be half the length of the passed String or array, as it takes two characters to represent any given byte. An exception is thrown if the passed char array has an odd number of elements.
      Parameters:
        `string` - A String or, an array of character bytes containing hexadecimal digits
      Returns:
        A byte array containing binary data decoded from the supplied byte array (representing characters).
      Throws:
        `HexUtils.DecoderException` - Thrown if an odd number of characters is supplied to this function or the object is not a String or char[]
      See Also:
        `decodeHex(char[])`

    - #### toDigit

          protected static int toDigit(char ch,
                                       int index)
                                throws HexUtils.DecoderException

      Converts a hexadecimal character to an integer.
      Parameters:
        `ch` - A character to convert to an integer digit
        `index` - The index of the character in the source
      Returns:
        An integer
      Throws:
        `HexUtils.DecoderException` - Thrown if ch is an illegal hex character

    - #### encodeHex

          public static char[] encodeHex(byte[] data)

      Converts an array of bytes into an array of characters representing the hexadecimal values of each byte in order. The returned array will be double the length of the passed array, as it takes two characters to represent any given byte.
      Parameters:
        `data` - a byte[] to convert to Hex characters
      Returns:
        A char[] containing hexadecimal characters

    - #### encodeHex

          public static char[] encodeHex(byte[] data,
                                         boolean toLowerCase)

      Converts an array of bytes into an array of characters representing the hexadecimal values of each byte in order. The returned array will be double the length of the passed array, as it takes two characters to represent any given byte.
      Parameters:
        `data` - a byte[] to convert to Hex characters
        `toLowerCase` - `true` converts to lowercase, `false` to uppercase
      Returns:
        A char[] containing hexadecimal characters
      Since:
        1.4

    - #### encodeHex

          protected static char[] encodeHex(byte[] data,
                                            char[] toDigits)

      Converts an array of bytes into an array of characters representing the hexadecimal values of each byte in order. The returned array will be double the length of the passed array, as it takes two characters to represent any given byte.
      Parameters:
        `data` - a byte[] to convert to Hex characters
        `toDigits` - the output alphabet
      Returns:
        A char[] containing hexadecimal characters
      Since:
        1.4

    - #### encodeHexString

          public static String encodeHexString(byte[] data)

      Converts an array of bytes into a String representing the hexadecimal values of each byte in order. The returned String will be double the length of the passed array, as it takes two characters to represent any given byte.
      Parameters:
        `data` - a byte[] to convert to Hex characters
      Returns:
        A String containing hexadecimal characters
      Since:
        1.4

Copyright © 2018. All rights reserved.